QGIS Application - Bug report #18171

Can't run python file from editor area in python-console

2018-02-21 10:48 PM - Josef Fallman

Status: Closed

Priority: Normal
Assignee:

Category: PyQGIS Console

Affected QGIS version:master

Operating System: Windows
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: Yes
Resolution:

Copied to github as #: 26062

Description

When python-console is open, i open the editor area, create a small script like:

print("hello")

Running this file directly works fine, but if i save it, and the path contains special characters.

one solution would be to change line
exec(open(u'C:/aad/testfile.py'.encode('utf-8')).read())
to

exec(open('C:/aao/testfile.py').read())

This probably because default string behavior in Python 3

Associated revisions

Revision 7823025b - 2018-02-23 09:39 AM - Alexander Bruy

[python console] remove 'u’ prefixes from strings (fix #18171)

Revision f93dc908 - 2018-02-23 11:17 AM - Alexander Bruy

Merge pull request #6434 from alexbruy/python-console

[python console] remove 'u’ prefixes from strings (fix #18171)

History

#1 - 2018-02-23 11:17 AM - Alexander Bruy
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|7823025b8d35a5310617ade996e1fb7cd60a9f50.
